#! /bin/sh
#
# deploy.sh
# Copyright (C) 2024 Jacob Babor <jacob@babor.tech>
#
# Distributed under terms of the MIT license.
#

mcroot="$HOME/.var/app/org.prismlauncher.PrismLauncher/data/PrismLauncher/instances/ComputerCraft Sandbox/"
world="New World"

masterid="0"

_ccroot="$mcroot/.minecraft/saves/$world/computercraft/computer"
echo "Root: $_ccroot"
for computer in "$masterid"; do
	echo "Deploying to: $computer"
	mkdir -p "$_ccroot/$computer"
	cp common.lua "$_ccroot/$computer/startup"
done